MWAWPict Class Reference documentation

MWAWPict Class Referenceabstract

Generic function used to define/store a picture. More...

`#include <MWAWPict.hxx>`

Inheritance diagram for MWAWPict:

## Public Types
enum | Type { PictData , Bitmap , Unknown }
| the different picture types: More...
enum | ReadResult { MWAW_R_BAD =0 , MWAW_R_OK , MWAW_R_OK_EMPTY , MWAW_R_MAYBE }
| an enum to defined the result of a parsing use by some picture's classes which can read their data More...

## Public Member Functions
virtual | ~MWAWPict ()
| virtual destructor
virtual Type | getType () const =0
| returns the picture type
MWAWBox2f | getBdBox () const
| returns the bdbox of the picture
void | setBdBox (MWAWBox2f const &box)
| sets the bdbox of the picture
virtual bool | getBinary (MWAWEmbeddedObject &) const
| tries to convert the picture in a binary data :
virtual int | cmp (MWAWPict const &a) const
| a virtual function used to obtain a strict order, must be redefined in the subs class

## Protected Member Functions
void | extendBDBox (float val)
| udaptes the bdbox, by extended it by (val-previousVal)
| MWAWPict ()
| protected constructor must not be called directly
| MWAWPict (MWAWPict const &p)
| protected constructor must not be called directly
MWAWPict & | operator= (MWAWPict const &p)
| protected operator= must not be called directly

## Static Protected Member Functions
static MWAWBox2f | getBdBox (int numPt, MWAWVec2f const *pt)
| computes the minimum and maximum of a list of point

## Private Attributes
MWAWBox2f | m_bdbox
| the bdbox (min and max pt)
float | m_bdBoxExt
| the actual extension of the original box,

## Detailed Description

Generic function used to define/store a picture.

## Member Enumeration Documentation

## ◆ ReadResult

enum MWAWPict::ReadResult

an enum to defined the result of a parsing use by some picture's classes which can read their data

- R_OK_EMPTY: data ok but empty content,
- R_MAYBE: can not check if the data are valid
- ...

Enumerator
MWAW_R_BAD |
MWAW_R_OK |
MWAW_R_OK_EMPTY |
MWAW_R_MAYBE |

## ◆ Type

enum MWAWPict::Type

the different picture types:

- pictData: a classic format of file (AppleŠ Pict, ...)
- bitmap: a image
- ...

Enumerator
PictData |
Bitmap |
Unknown |

## Constructor & Destructor Documentation

## ◆ ~MWAWPict()

MWAWPict::~MWAWPict | ( |  | ) |
| virtual

virtual destructor

## ◆ MWAWPict() [1/2]

MWAWPict::MWAWPict | ( |  | ) |
| inlineprotected

protected constructor must not be called directly

Referenced by cmp(), MWAWPictBitmap::cmp(), MWAWPictBitmapBW::cmp(), MWAWPictBitmapColor::cmp(), MWAWPictBitmapIndexed::cmp(), MWAWPictData::cmp(), MWAWPictDB3::cmp(), MWAWPictDUnknown::cmp(), MWAWPictMac::cmp(), MWAWPict(), and operator=().

## ◆ MWAWPict() [2/2]

MWAWPict::MWAWPict | ( | MWAWPict const & | p | ) |
| inlineexplicitprotected

protected constructor must not be called directly

## Member Function Documentation

## ◆ cmp()

virtual int MWAWPict::cmp | ( | MWAWPict const & | a | ) | const
| inlinevirtual

a virtual function used to obtain a strict order, must be redefined in the subs class

Reimplemented in MWAWPictBitmap, MWAWPictBitmapBW, MWAWPictBitmapColor, MWAWPictBitmapIndexed, MWAWPictData, MWAWPictDB3, MWAWPictDUnknown, and MWAWPictMac.

Referenced by MWAWPictBitmap::cmp(), and MWAWPictData::cmp().

## ◆ extendBDBox()

void MWAWPict::extendBDBox | ( | float | val | ) |
| inlineprotected

udaptes the bdbox, by extended it by (val-previousVal)

Referenced by MWAWPictMac::MWAWPictMac().

## ◆ getBdBox() [1/2]

MWAWBox2f MWAWPict::getBdBox | ( |  | ) | const
| inline

returns the bdbox of the picture

## ◆ getBdBox() [2/2]

MWAWBox2f MWAWPict::getBdBox | ( | int | numPt,
|  | MWAWVec2f const * | pt )
| inlinestaticprotected

computes the minimum and maximum of a list of point

## ◆ getBinary()

virtual bool MWAWPict::getBinary | ( | MWAWEmbeddedObject & |  | ) | const
| inlinevirtual

tries to convert the picture in a binary data :

- either a basic image/pict
- or an encrypted pict in ODG : "image/mwaw-odg"

Reimplemented in MWAWPictBitmap, MWAWPictData, and MWAWPictMac.

## ◆ getType()

virtual Type MWAWPict::getType | ( |  | ) | const
| pure virtual

returns the picture type

Implemented in MWAWPictBitmap, and MWAWPictData.

Referenced by cmp().

## ◆ operator=()

MWAWPict & MWAWPict::operator= | ( | MWAWPict const & | p | ) |
| inlineprotected

protected operator= must not be called directly

## ◆ setBdBox()

void MWAWPict::setBdBox | ( | MWAWBox2f const & | box | ) |
| inline

sets the bdbox of the picture

Referenced by MWAWPictData::get(), and MWAWPictBitmap::MWAWPictBitmap().

## Member Data Documentation

## ◆ m_bdbox

MWAWBox2f MWAWPict::m_bdbox
| private

the bdbox (min and max pt)

Referenced by cmp(), getBdBox(), MWAWPict(), MWAWPict(), operator=(), and setBdBox().

## ◆ m_bdBoxExt

float MWAWPict::m_bdBoxExt
| private

the actual extension of the original box,

Referenced by extendBDBox(), getBdBox(), MWAWPict(), MWAWPict(), and operator=().

The documentation for this class was generated from the following files:

- MWAWPict.hxx
- MWAWPict.cxx